#ifndef __I2CMASTER_H__
#define __I2CMASTER_H__   1

#if (__GNUC__ * 100 + __GNUC_MINOR__) < 304
#error "This library requires AVR-GCC 3.4 or later, update to newer AVR-GCC compiler !"
#endif

#include <avr/io.h>


#define I2C_READ    1
#define I2C_WRITE   0

void I2C_Init(void);
uint8_t I2C_Start(unsigned char address);
void I2C_Start_Wait(unsigned char address);
void I2C_Stop(void);
uint8_t I2C_Write( unsigned char data);
uint8_t I2C_ReadAck(void);
uint8_t I2C_ReadNak(void);

#define i2c_read(ack)  (ack) ? i2c_readAck() : i2c_readNak(); 


#endif